<?php

function wpa_campaigns( $current, $campaign_stats ) {

	/*echo '<pre>';
	print_r($campaign_stats);
	echo '</pre>';*/

	ob_start();

	$i = 0;
	if (! empty( $campaign_stats["rows"] ) ) { ?>

		<?php foreach ($campaign_stats["rows"] as $c_stats){
			$i++;
			?>
			<div class="pa_campaigns_statistics">
				<div class="pa-tdo-left">
					<div class="pa_data_text_wraper">
						<span class="large-count"><?php echo $c_stats[0]; ?></span>
						<?php if ( '(not set)' === $c_stats[0] ): ?>
							<span class="dashicons dashicons-editor-help analytify-campaings-tooltip" title="Not Set: The ‘keyword’ (not set) simply identifies traffic that doesn’t arrive via a particular keyword and hence may not come via any search at all. This includes traffic coming from email, referral sites, or even things like Google Images."></span>
						<?php endif; ?>
						<?php if (  class_exists( 'WP_Analytify_WooCommerce' ) && '(not set)' != $c_stats[0] ): ?>
							<a href="<?php echo admin_url( 'admin.php?page=analytify-woocommerce&cn=' . $c_stats[0]  ) ?>" style="display:block;margin-top:10px;">View Sale Stats</a>
						<?php endif; ?>
						<a href="#" class="analytify-view-detail-campaings" data-source="<?php echo $c_stats[0] ?>">View Detail Stats</a>
					</div>
				</div>

				<div class="pa-tdo-right" id="pa-tdo-right">
					<div class="pa-bigtext"><span class="count-visits"><?php echo number_format( $c_stats[1] ); ?></span><span class="source"><?php analytify_e( 'Sessions', 'wp-analytify' ); ?></span></div>
					<div class="pa-bigtext"><span class="count-visits">
						<?php
						if( $c_stats[1] > 0 ){
							echo number_format(round(($c_stats[2] / $c_stats[1]) * 100, 2), 2);
						}
						else{
							echo '0';
						}
						?>
					</span><span class="source"><?php analytify_e( '% New Sessions', 'wp-analytify'); ?></span></div>
					<div class="pa-bigtext"><span class="count-visits"><?php echo $c_stats[2]; ?></span><span class="source"><?php esc_html_e( 'New Users', 'wp-analytify-campaings'); ?></span></div>
				</div>
				<div class="pa-tdo-rights" id="pa-tdo-rights">
					<div class="pa-bigtext"><span class="count-visits">
						<?php if ($c_stats[4] <= 0) { ?>
							0.00%
							<?php
						}
						else {
							echo number_format(round(($c_stats[3] / $c_stats[4]) * 100, 2), 2);
							?>%
							<?php } ?>
						</span><span class="source"><?php analytify_e( 'Bounce Rate', 'wp-analytify' ); ?></span>
					</div>
					<div class="pa-bigtext">
						<span class=" count-visits">
							<?php
							if ($c_stats[1] <= 0) {
								?>
								0.00
								<?php
							} //$stats->totalsForAllResults['ga:sessions'] <= 0
							else {
								?>
								<?php
								echo number_format(round($c_stats[6] / $c_stats[1], 2), 2);
								?>
								<?php } ?>
							</span><span class="source"><?php esc_html_e( 'Pages / Session', 'wp-analytify-campaings' ); ?></span>
						</div>
						<div class="pa-bigtext"><span class="count-visits"><?php echo $current->pa_pretty_time( $c_stats[5] ); ?></span><span class="source"><?php esc_html_e( 'Avg. Session duration', 'wp-analytify-campaings' ); ?></span></div>
					</div>
					<div class="analytify-detail-campaings-container">

					</div>
				</div>
				<?php } ?>


				<?php } else {

					esc_html_e( 'No Campaigns.', 'wp-analytify-campaings');

				}

				$body = ob_get_clean();

				echo json_encode( array(
					"message" => $i ,
					"body"    => $body
					) ) ;


				} ?>
